import { ComputedOptions } from '../types';
declare type ConnectorProps = {
    id: string;
    previousMatchPosition: {
        x: number;
        y: number;
    };
    currentMatchPosition: {
        x: number;
        y: number;
    };
    calculatedStyle: ComputedOptions;
    isHighlighted: boolean;
    isActive: boolean;
    offsetY?: number;
};
declare const Connector: ({ id, previousMatchPosition, currentMatchPosition, calculatedStyle, isHighlighted, isActive, offsetY, }: ConnectorProps) => JSX.Element;
export default Connector;
